
--[[GLOBAL.CHEATS_ENABLED = true
GLOBAL.require( 'debugkeys' )--]]
local require = GLOBAL.require
local SpawnPrefab = GLOBAL.SpawnPrefab
--
require "class"
--
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

local InvSlot = require "widgets/invslot"
local TileBG = require "widgets/tilebg"
local Image = require "widgets/image"
local Widget = require "widgets/widget"
local EquipSlot = require "widgets/equipslot"
local ItemTile = require "widgets/itemtile"



PrefabFiles = {
	"link",
	"bunnyhood",
	"linksword",
	"woodsword",
	"goronsruby",
	"linkerang",
	"kokirisemerald",
	"zorassapphire",
	"tunic_red",
	"tunic_blue",
	"trulens",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/link.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/link.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/link.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/link.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/link_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/link_silho.xml" ),

    Asset( "IMAGE", "bigportraits/link.tex" ),
    Asset( "ATLAS", "bigportraits/link.xml" ),
	
	Asset( "IMAGE", "images/map_icons/link.tex" ),
	Asset( "ATLAS", "images/map_icons/link.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_link.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_link.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_link.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_link.xml" ),

}




-- The character select screen lines
STRINGS.CHARACTER_TITLES.link = "link"
STRINGS.CHARACTER_NAMES.link = "link"
STRINGS.CHARACTER_DESCRIPTIONS.link = "*Braver.\n*Stronger.\n*More... heroic."
STRINGS.CHARACTER_QUOTES.link = "\"Its dangerous to go alone\""

-- Custom speech strings
STRINGS.CHARACTERS.link = require "speech_link"

-- The character/item name as appears in-game 
STRINGS.NAMES.link = "link"
STRINGS.NAMES.GORONSRUBY = "Goron's Ruby"
STRINGS.NAMES.ZORASSAPPHIRE = "Zora's Sapphire"
STRINGS.NAMES.KOKIRISEMERALD = "Kokiri's Emerald"
STRINGS.NAMES.linksword = "Mastersword"
STRINGS.NAMES.WOODSWORD = "woodsword"
STRINGS.NAMES.BUNNYHOOD = "Bunny Hood"
STRINGS.NAMES.LINKERANG = "Link's Boomerang"
STRINGS.NAMES.TUNIC_RED = "Red Tunic"
STRINGS.NAMES.TUNIC_BLUE = "Blue Tunic"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.link = 
{
	GENERIC = "It's Link!",
	ATTACKER = "That Link looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "LINK, friend of ghosts.",
	GHOST = "Link could use a heart.",
}

--crafting description--

-- mastersword info--
	STRINGS.RECIPE_DESC.LINKSWORD = "A simple Hero's Sword"
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.LINKSWORD = "A legendary sword wielded by many great heroes in the legends of Hyrule."

--gorons ruby info--
	STRINGS.RECIPE_DESC.GORONSRUBY = "The spiritual stone of fire."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.GORONSRUBY = "Given to link by Goron "
	
--zoras sapphire info--
	STRINGS.RECIPE_DESC.ZORASSAPPHIRE = "The spiritual stone of water."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.ZORASSAPPHIRE = "Given to link by Zora as a symbol of the engagement"

--kokiris emerald info--	
	STRINGS.RECIPE_DESC.KOKIRISEMERALD = "The spiritual stone of the forest."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.KOKIRISEMERALD = "Given to link by the Great Deku Tree"
	
--recipes--
local goronsrubyuse = Ingredient( "goronsruby", 1)
		goronsrubyuse.atlas = "images/inventoryimages/goronsruby.xml"
local zorassapphireuse = Ingredient( "zorassapphire", 1)
		zorassapphireuse.atlas = "images/inventoryimages/zorassapphire.xml"		
local kokirisemeralduse = Ingredient( "kokirisemerald", 1)
		kokirisemeralduse.atlas = "images/inventoryimages/kokirisemerald.xml"

-- spiritual stones recipes--
--gorons ruby--
	local goronsruby = GLOBAL.Recipe("goronsruby",
		{ 
			Ingredient("redgem", 1), 
			Ingredient("goldnugget", 5),
		},                     
        RECIPETABS.MAGIC, TECH.MAGIC_TWO)
	goronsruby.atlas = "images/inventoryimages/goronsruby.xml"


--zoras sapphire--
	local zorassapphire = GLOBAL.Recipe("zorassapphire",
		{ 
			Ingredient("bluegem", 3), 
			Ingredient("goldnugget", 3),
		},                     
        RECIPETABS.MAGIC, TECH.MAGIC_TWO)
	zorassapphire.atlas = "images/inventoryimages/zorassapphire.xml"
	
--kokiris emerald--
	local kokirisemerald = GLOBAL.Recipe("kokirisemerald",
		{ 
		Ingredient("greengem", 2), 
		Ingredient("goldnugget", 2),
		},                     
		RECIPETABS.MAGIC, TECH.MAGIC_TWO)
	kokirisemerald.atlas = "images/inventoryimages/kokirisemerald.xml"

--weapons--
--mastersword--
	local linksword = GLOBAL.Recipe("linksword",
		{
		goronsrubyuse, 
		zorassapphireuse,
		kokirisemeralduse,
		},  
		RECIPETABS.MAGIC, TECH.MAGIC_TWO)
	linksword.atlas = "images/inventoryimages/linksword.xml"

	
AddMinimapAtlas("images/map_icons/link.xml")
-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("link", "MALE")
modimport "get_item_with_linkerang.lua"

