local assets=
{
	Asset("ANIM", "anim/dekushield.zip"),
	Asset("ANIM", "anim/swap_shield.zip"),
	Asset("ATLAS", "images/inventoryimages/dekushield.xml")
}

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_body", "swap_shield", "swap_body")
    owner.components.inventory.overflow = inst
    inst.components.container:Open(owner)
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    owner.components.inventory.overflow = nil
    inst.components.container:Close(owner)
end

local function fn(Sim)
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("backpack1")
    inst.AnimState:SetBuild("swap_shield")
    inst.AnimState:PlayAnimation("anim")

    
	inst:AddComponent("inventoryitem")
  	inst.components.inventoryitem.atlasname = "images/inventoryimages/dekushield.xml"
    inst.components.inventoryitem.cangoincontainer = false

    inst:AddComponent("equippable")
  if EQUIPSLOTS["BODY"] then
		inst.components.equippable.equipslot = EQUIPSLOTS.BODY
  end
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    inst:AddComponent("armor")
    inst.components.armor:InitCondition(TUNING.ARMORWOOD * 0.66667, 0.5 )
    
   	inst:AddComponent("inspectable")
    
    inst:AddComponent("container")
    inst.components.container:SetNumSlots(4)
    inst.components.container.widgetslotpos = slotpos
    inst.components.container.widgetanimbank = "ui_backpack_2x4"
    inst.components.container.widgetanimbuild = "ui_backpack_2x4"
    inst.components.container.widgetpos = Vector3(-5,-50,0)
    inst.components.container.side_widget = true
   
    inst.components.container.onopenfn = onopen
    inst.components.container.onclosefn = onclose
 
    return inst
end

return Prefab( "common/inventory/dekushield", fn, assets) 