local assets =
{
    Asset("ANIM", "anim/linksword.zip"),
   	Asset("ANIM", "anim/swap_linksword.zip"),
	Asset("ATLAS", "images/inventoryimages/linksword.xml")
}

local prefabs = 
{
	"link"
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_linksword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
     local inst = CreateEntity()
	 
	 inst.entity:AddTransform()
	 inst.entity:AddAnimState()
	 inst.entity:AddNetwork()
	 
	 MakeInventoryPhysics(inst)
	 
	 inst.AnimState:SetBank("nightmaresword")
	 inst.AnimState:SetBuild("linksword")
	 inst.AnimState:PlayAnimation("idle")
	 
    inst:AddTag("sharp")
    
	inst.entity:SetPristine()
		
	if not TheWorld.ismastersim then
        return inst
    end
    
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(40)
	inst.components.weapon:SetRange(1)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/linksword.xml"
    inst.components.inventoryitem.keepondeath = true
	
	inst:AddComponent("inspectable")
	inst.components.inventoryitem.keepondeath = true
	
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )

    return inst
end

STRINGS.NAMES.LINKSWORD = "Mastersword"

return Prefab( "common/inventory/linksword", fn, assets, prefabs)