local assets=
{
	Asset("ANIM", "anim/tunic_blue.zip"),
  Asset("ATLAS", "images/inventoryimages/tunic_blue.xml")
}


local function onequip(inst, owner) 
--    owner.AnimState:OverrideSymbol("swap_body", "tunic_blue", "swap_body")
    owner.components.temperature.hurtrate = 0
    owner.AnimState:SetBuild("bink")
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    owner.components.temperature.hurtrate = TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME
    owner.AnimState:SetBuild("link")
end

local function fn(Sim)
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
	
    if not TheWorld.ismastersim then
        return inst
    end
    
    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("tunic_blue")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddComponent("inspectable")
    
    inst:AddTag("irreplaceable")
    
    inst:AddComponent("inventoryitem")
  	 inst.components.inventoryitem.atlasname = "images/inventoryimages/tunic_blue.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
   	inst:AddComponent("insulator")
    inst.components.insulator.insulation = math.huge
    
    return inst
end


return Prefab( "common/inventory/tunic_blue", fn, assets ) 
