local assets =
{
    Asset("ANIM", "anim/woodsword.zip"),
   	Asset("ANIM", "anim/swap_woodsword.zip"),
	Asset("ATLAS", "images/inventoryimages/woodsword.xml")
}

local prefabs = 
{
	"link"
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_woodsword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
     local inst = CreateEntity()
	 
	 inst.entity:AddTransform()
	 inst.entity:AddAnimState()
	 inst.entity:AddNetwork()
	 
	 MakeInventoryPhysics(inst)
	 
	 inst.AnimState:SetBank("nightmaresword")
	 inst.AnimState:SetBuild("woodsword")
	 inst.AnimState:PlayAnimation("idle")
	 
    inst:AddTag("sharp")
 
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst.entity:SetPristine()
		
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(15)
	inst.components.weapon:SetRange(1)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/woodsword.xml"
    inst.components.inventoryitem.keepondeath = true

	inst:AddComponent("inspectable")
	inst.components.inventoryitem.keepondeath = true
    --inst.components.characterspecific:SetStorable(true)
	
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
		
	return inst
	
end

return Prefab( "common/inventory/woodsword", fn, assets, prefabs)
